Subject: Re: [PATCH 5/9] git-cat-file: Add --separator option

From: Adam Roben <[email-masked]>
Date: Tue, 23 Oct 2007 21:26:05 -0700

Brian Downing wrote:
> On Mon, Oct 22, 2007 at 10:46:33PM -0700, Adam Roben wrote:
>   
>> +--separator::
>> +	A string to print in between the output for each object passed on
>> +	stdin. A newline will be appended to the separator each time it is
>> +	printed.
>>     
>
> Maybe I'm just unreasonably paranoid, but I don't think I could ever
> trust that you'd never find an arbitrary separator in the data.  I
> suppose if you scanned the files beforehand you could come up with
> something guaranteed to be unique, but that seems like a pain (and
> doesn't happen regardless in patch 9/9; it just uses
> "--------------GITCATFILESEPARATOR-----------")  If I were committing to
> SVN, it's sure not something I'd like to bet the integrity of my data
> on.
>   

I had some of the same concerns.

> I think a far more reasonable output format for multiple objects would
> be something like:
>
> <count> LF
> <raw data> LF
>
> Where <count> is the number of bytes in the <raw data> as an ASCII
> decimal integer.
>   

This sounds like a much better solution. I'll implement it that way and 
send out a new patch. Thanks for the suggestion!

-Adam